﻿using System;
using System.Text.Json.Serialization;

namespace SharpChat.Events {
    public class UserChannelLeaveEvent : IChatEvent {
        [JsonIgnore]
        public DateTimeOffset DateTime { get; set; }

        [JsonIgnore]
        public ChatUser Sender { get; set; }

        [JsonIgnore]
        public string ChannelName { get; set; }

        [JsonIgnore]
        public ChatMessageFlags Flags { get; set; } = ChatMessageFlags.Log;

        [JsonIgnore]
        public long SequenceId { get; set; }

        public UserChannelLeaveEvent() { }
        public UserChannelLeaveEvent(DateTimeOffset parted, ChatUser user, ChatChannel channel) {
            DateTime = parted;
            Sender = user;
            ChannelName = channel.Name;
        }
    }
}
