﻿using System;
using System.Text.Json.Serialization;

namespace SharpChat.Events {
    public class UserConnectEvent : IChatEvent {
        [JsonIgnore]
        public DateTimeOffset DateTime { get; set; }

        [JsonIgnore]
        public ChatUser Sender { get; set; }

        [JsonIgnore]
        public string ChannelName { get; set; }

        [JsonIgnore]
        public ChatMessageFlags Flags { get; set; } = ChatMessageFlags.Log;

        [JsonIgnore]
        public long SequenceId { get; set; }

        public UserConnectEvent() { }
        public UserConnectEvent(DateTimeOffset joined, ChatUser user, ChatChannel channel) {
            DateTime = joined;
            Sender = user;
            ChannelName = channel.Name;
        }
    }
}
